Subject: RE: [External] : bug#7787: 23.2; wrong meaning for mouse-2 while in search mode

From: Drew Adams <[email-masked]>
Date: Thu, 21 Apr 2022 18:14:52 +0000

Caveat: I'm not following this thread.
___

I'll just mention that in `isearch+.el' I redefine
`isearch-mouse-2' (bound to `mouse-2' in Isearch)
so that it respects option `isearchp-mouse-2-flag':

 If `isearchp-mouse-2-flag' is non-nil, yank the X selection.
 If `isearchp-mouse-2-flag' is nil, yank it only if the
 `mouse-2' click is in the echo area.  Otherwise, invoke
 whatever `mouse-2' is bound to outside of Isearch.

I think this handles OP's use case (yanks selection to
Isearch string), but I could be wrong.